package domain

type AlibabaWdkCouponTemplateUpdateInvestmentInfo struct {
	/*
	   出资人     */
	Investor *string `json:"investor,omitempty" `

	/*
	   出资比例 2000 = 20%     */
	InvestorRatio *int64 `json:"investor_ratio,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateInvestmentInfo) SetInvestor(v string) *AlibabaWdkCouponTemplateUpdateInvestmentInfo {
	s.Investor = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateInvestmentInfo) SetInvestorRatio(v int64) *AlibabaWdkCouponTemplateUpdateInvestmentInfo {
	s.InvestorRatio = &v
	return s
}
